Emitted when a change to the subscription for offline models changes and the change results in new models needing to be downloaded.

experimental

### Hierarchy

- OfflineModelDownloadPendingEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- name
- NAME

## Properties

### name

name: string = OfflineModelDownloadPendingEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "offline_model_download_pending" = "offline_model_download_pending"